## edu.cwru.SimpleRTS.Log
Class ResourceDropoffLog

    java.lang.Object
      edu.cwru.SimpleRTS.Log.ResourceDropoffLog

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceDropoffLog

extends java.lang.Object
implements java.io.Serializable

A read only class documenting an historic event wherein

Author:
  The Condor
See Also:
  Serialized Form

Constructor Summary
`ResourceDropoffLog(int gathererid, int controller, int amountpickedup, ResourceType resource, int depotid)`

Method Summary
`int` `getAmountPickedUpID()`
`int` `getDepotId()`
`int` `getGathererID()`
`ResourceType` `getResource()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceDropoffLog

    public ResourceDropoffLog(int gathererid,
                              int controller,
                              int amountpickedup,
                              ResourceType resource,
                              int depotid)

Method Detail

### getResource

    public ResourceType getResource()

### getGathererID

    public int getGathererID()

### getAmountPickedUpID

    public int getAmountPickedUpID()

### getDepotId

    public int getDepotId()